clang-tools 6.0.0

Namespaces | Functions
ForwardDeclarationNamespaceCheck.cpp File Reference
`#include "ForwardDeclarationNamespaceCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
`#include <stack>`
`#include <string>`
Include dependency graph for ForwardDeclarationNamespaceCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone

## Functions
static bool | clang::tidy::bugprone::haveSameNamespaceOrTranslationUnit (const CXXRecordDecl *Decl1, const CXXRecordDecl *Decl2)
static std::string | clang::tidy::bugprone::getNameOfNamespace (const CXXRecordDecl *Decl)